Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface StructureDefinition

All Superinterfaces:
  Definition, NamedDefinition

public interface StructureDefinition
extends NamedDefinition

Contains metadata for a structure such as a datacontrol, an accessor, or a parameter.

Field Summary

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Method Summary
`DefinitionContainer` | `getAccessorDefinitions()` Returns the metadata about the accessors in this structure.
`DefinitionContainer` | `getAttributeDefinitions()` Returns the metadata about the attributes in this structure.
`DataControlDefinition` | `getDataControlDefinition()` Retrieves the DataControlDefinition that this Structure belongs to.
`DefinitionContainer` | `getOperationDefinitions()` Returns the metadata about the operations in this structure.

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent, getFullName, getName, getProperties, getProperty`

Methods inherited from interface oracle.binding.meta.Definition
`getDefinitionType`

Method Detail

### getAttributeDefinitions

    public DefinitionContainer getAttributeDefinitions()

  Returns the metadata about the attributes in this structure.
  Returns:
    A DefinitionContainer containing the metadata of all attributes in the structure. There should be one AttributeDefinition object in the DefinitionContainer containing metadata for each attribute. If there are no attribute, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `EmptyDefinitionContainer`, `AttributeDefinition`

### getAccessorDefinitions

    public DefinitionContainer getAccessorDefinitions()

  Returns the metadata about the accessors in this structure.
  Returns:
    A DefinitionContainer containing the metadata of all acessors in the structure. There should be one AccessorDefinition object in the DefinitionContainer containing metadata for each accessor. If there are no accessor, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `EmptyDefinitionContainer`, `AccessorDefinition`

### getOperationDefinitions

    public DefinitionContainer getOperationDefinitions()

  Returns the metadata about the operations in this structure.
  Returns:
    A DefinitionContainer containing the metadata of all operations in the structure. There should be one OperationDefinition object in the DefinitionContainer containing metadata for each operation. If there are no operation, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `EmptyDefinitionContainer`, `OperationDefinition`

### getDataControlDefinition

    public DataControlDefinition getDataControlDefinition()

  Retrieves the DataControlDefinition that this Structure belongs to.
  Returns:
    The DataControlDefinition that this Structure belongs to.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.